using System.Diagnostics;
using Microsoft.AspNetCore.Mvc;
using AiLogia.Web.Models;

namespace AiLogia.Web.Controllers;

public class HomeController : Controller
{
    public HomeController()
    {
    }

    [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
    public IActionResult Index()
    {
        return View();
    }

    [HttpGet("privacy")]
    public IActionResult Privacy()
    {
        return View();
    }

    [HttpGet("personal")]
    public IActionResult PersonalData()
    {
        return View();
    }

    [HttpGet("public-offer")]
    public IActionResult PublicOffer()
    {
        return View();
    }

    [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
    public IActionResult Error()
    {
        return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
    }
}
